## ros-rolling-sdformat-test-files 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(sdformat_test_files)

set(sdformat_test_files_VERSION 0.1.0)

# Decide where to install stuff
include(GNUInstallDirs)

set(INSTALL_SHARE_DIR "${CMAKE_INSTALL_DATAROOTDIR}/sdformat_test_files" CACHE PATH
  "Installation directory for arch independent data files")

set(INSTALL_CMAKE_DIR "${CMAKE_INSTALL_DATAROOTDIR}/sdformat_test_files/cmake" CACHE PATH
  "Installation directory for CMake files")

# Install models
set(model_names
  "geometry_box"
  "geometry_cylinder"
  "geometry_heightmap"
  "geometry_mesh_collada"
  "geometry_mesh_obj"
  "geometry_mesh_scaled"
  "geometry_mesh_stl"
  "geometry_plane"
  "geometry_sphere"
  "graph_chain"
  "graph_chain_non_canonical_root"
  "graph_four_bar"
  "graph_loop"
  "graph_tree"
  "graph_tree_non_canonical_root"
  "joint_ball"
  "joint_continuous"
  "joint_fixed"
  "joint_gearbox"
  "joint_prismatic"
  "joint_revolute"
  "joint_revolute2"
  "joint_revolute_axis"
  "joint_revolute_axis_in_frame"
  "joint_revolute_default_limits"
  "joint_revolute_two_joints_two_links"
  "joint_screw"
  "joint_universal"
  "link_inertia"
  "link_light_point"
  "link_multiple_collisions"
  "link_multiple_visuals"
  "link_sensor_imu"
  "material_blinn_phong"
  "material_dynamic_lights"
  "model_two_models"
  "model_zero_models"
  "pose_chain"
  "pose_collision"
  "pose_collision_in_frame"
  "pose_inertial"
  "pose_inertial_in_frame"
  "pose_joint"
  "pose_joint_all"
  "pose_joint_in_frame"
  "pose_link"
  "pose_link_all"
  "pose_link_in_frame"
  "pose_model"
  "pose_visual"
  "pose_visual_in_frame"
)

foreach(model ${model_names})
  # Install models to share/project-name/model-name
  install(DIRECTORY "models/${model}" DESTINATION "${INSTALL_SHARE_DIR}/models")
endforeach()

set(_arch_independent "")
if(${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.14.0")
  set(_arch_independent "ARCH_INDEPENDENT")
endif()

# Create projectConfigVersion.cmake
include(CMakePackageConfigHelpers)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/sdformat_test_files/sdformat_test_filesConfigVersion.cmake"
  VERSION "${sdformat_test_files_VERSION}"
  COMPATIBILITY SameMajorVersion
  ${_arch_independent})

# Create projectConfig.cmake
configure_package_config_file("sdformat_test_filesConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/sdformat_test_files/sdformat_test_filesConfig.cmake"
  INSTALL_DESTINATION "${INSTALL_CMAKE_DIR}"
  PATH_VARS "INSTALL_CMAKE_DIR" "INSTALL_SHARE_DIR")

# Create file with CMake functions
configure_file("sdformat_test_files_functions.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/sdformat_test_files/sdformat_test_files_functions.cmake" @ONLY)

# Install cmake files
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/sdformat_test_files/sdformat_test_filesConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/sdformat_test_files/sdformat_test_filesConfigVersion.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/sdformat_test_files/sdformat_test_files_functions.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}")

=== debian/changelog ===
ros-rolling-sdformat-test-files (0.1.0-1focal) focal; urgency=high

  * Initial urdf parser plugin that parses sdformat (#1 <https://github.com/ros/sdformat_urdf/issues/1>)
  * Contributors: Shane Loretz, Addisu Z. Taddese, Steve Peters, Chris Lalancette, Eric Cousineau

 -- Shane Loretz <sloretz@osrfoundation.org>  Mon, 02 Nov 2020 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-sdformat-test-files
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-sdformat-test-files
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cmake, ros-rolling-ros-workspace
Description: Example SDFormat XML files for testing tools using hthis format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-sdformat-test-files//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-sdformat-test-files 1.0.1

=== debian/changelog ===
ros-rolling-sdformat-test-files (1.0.1-2jammy) jammy; urgency=high



 -- Shane Loretz <sloretz@osrfoundation.org>  Tue, 21 Jun 2022 07:00:00 -0000

ros-rolling-sdformat-test-files (1.0.0-2jammy) jammy; urgency=high

  * Support for universal and ball joint as floating joints #13 <https://github.com/ros/sdformat_urdf/issues/13>
  * Contributors: Dharini Dutia

 -- Shane Loretz <sloretz@osrfoundation.org>  Tue, 21 Jun 2022 07:00:00 -0000

ros-rolling-sdformat-test-files (0.1.0-2jammy) jammy; urgency=high

  * Initial urdf parser plugin that parses sdformat (#1 <https://github.com/ros/sdformat_urdf/issues/1>)
  * Contributors: Shane Loretz, Addisu Z. Taddese, Steve Peters, Chris Lalancette, Eric Cousineau

 -- Shane Loretz <sloretz@osrfoundation.org>  Mon, 02 Nov 2020 08:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,17 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
+export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -28,7 +36,8 @@
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -50,7 +59,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-sdformat-test-files//opt/ros/rolling/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-sdformat-test-files//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-sdformat-test-files//opt/ros/rolling/lib/${DEB_HOST_MULTIARCH}
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
